Taskwarrior Shift All Recurrence Attributes Hook
------------------------------------------------

This is a hook for TaskWarrior (http://www.taskwarrior.org),
which allow your recurrent tasks to inherit ``wait``, ``scheduled``
and ``until`` attributes from the parent.

Install
-------

Note: This hook has been rewritten to leverage taskpirate, for greater hook efficiency.
Please see https://github.com/tbabej/taskpirate for instructions. Don't worry, it's straightforward.

```
git clone https://github.com/tbabej/taskwarrior-shift-all-recurrence-hook.git
cp taskwarrior-shift-all-recurrence-hook/on-* ~/.task/hooks/
```

This hook leverages tasklib, so you need to install that too:

```
pip install tasklib
```

Use case
--------

Consider you have a periodic task, which is valid only for the certain day,
e.g. on every Sunday you go running.

```
$ task add due:sunday recur:weekly
```

However, TaskWarrior will display the task right away, and you want to
showing up only during the weekend, so that it does not distract your task
list during the work week.

If you try to add the recurrence again, this time with ``wait`` attribute,
to hide the task until it is not relevant for you:

```
$ task add due:sunday recur:weekly wait:saturday
```

You will find out that TaskWarrior does not let tasks generated by this
recurrence inherit the ``wait`` attribute, in the same manner as it does
with the ``due`` attribute.

This hook solves that.
